GET /api/v202603/webCaptureCredential/{webCaptureCredentialId}

Get a WebCAPture Credential by ID

GetWebCaptureCredentialV202603 Permissions: Accounts (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
webCaptureCredentialId The WEBCapture Credential identifier integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

WebCaptureCredentialDetailsResponseV202603
Property Description Type
billCaptureClientCode string
isActive boolean
providerName string
status string
statusDetail string
totalAccounts integer (int32)
username string
webCaptureAccounts WebCaptureAccountResponseV202603[]
WebCaptureAccountResponseV202603 properties
Property Description Type
accountNumber string
billCaptureClientCode string
providerName string
status string
statusDetail string
webCaptureAccountId integer (int32)
webCaptureCredentialId integer (int32)
webCapturePartner WebCapturePartnerResponseV202603
WebCapturePartnerResponseV202603 properties
Property Description Type
webCapturePartnerCode string
webCapturePartnerId integer (int32)
webCapturePartnerInfo string
website string
Example Response application/json
{  "billCaptureClientCode": "string",  "isActive": false,  "providerName": "string",  "status": "string",  "statusDetail": "string",  "totalAccounts": 1,  "username": "string",  "webCaptureAccounts": [
    {    "accountNumber": "string",    "billCaptureClientCode": "string",    "providerName": "string",    "status": "string",    "statusDetail": "string",    "webCaptureAccountId": 1
  }
  ],  "webCaptureCredentialId": 1,  "webCapturePartner": {    "webCapturePartnerCode": "string",    "webCapturePartnerId": 1,    "webCapturePartnerInfo": "string"
  },  "website": "string"
}